JField (Apache ZooKeeper - Jute 3.7.0 API)
Date: 2021-03-17

org.apache.jute.compiler

## Class JField

- java.lang.Object
- - org.apache.jute.compiler.JField

-     public class JField
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JField(JType type, String name)` Creates a new instance of JField.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `genCDecl()`
    `String` | `genCppDecl()`
    `String` | `genCppGetSet(int fIdx)`
    `String` | `genCsharpCompareTo()`
    `String` | `genCsharpConstructorParam(String fname)`
    `String` | `genCsharpConstructorSet(String fname)`
    `String` | `genCsharpDecl()`
    `String` | `genCsharpEquals()`
    `String` | `genCsharpGetSet(int fIdx)`
    `String` | `genCsharpHashCode()`
    `String` | `genCsharpReadMethodName()`
    `String` | `genCsharpWriteMethodName()`
    `String` | `genJavaCompareTo()`
    `String` | `genJavaConstructorParam(String fname)`
    `String` | `genJavaConstructorSet(String fname)`
    `String` | `genJavaDecl()`
    `String` | `genJavaEquals()`
    `String` | `genJavaGetSet(int fIdx)`
    `String` | `genJavaHashCode()`
    `String` | `genJavaReadMethodName()`
    `String` | `genJavaWriteMethodName()`
    `String` | `getCsharpName()`
    `String` | `getName()`
    `String` | `getSignature()`
    `String` | `getTag()`
    `JType` | `getType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JField

          public JField(JType type,
                        String name)

      Creates a new instance of JField.

  - ### Method Detail

    - #### getSignature

          public String getSignature()

    - #### genCppDecl

          public String genCppDecl()

    - #### genCDecl

          public String genCDecl()

    - #### genCsharpDecl

          public String genCsharpDecl()

    - #### genCsharpConstructorParam

          public String genCsharpConstructorParam(String fname)

    - #### genJavaDecl

          public String genJavaDecl()

    - #### genJavaConstructorParam

          public String genJavaConstructorParam(String fname)

    - #### getName

          public String getName()

    - #### getCsharpName

          public String getCsharpName()

    - #### getTag

          public String getTag()

    - #### getType

          public JType getType()

    - #### genCppGetSet

          public String genCppGetSet(int fIdx)

    - #### genCsharpConstructorSet

          public String genCsharpConstructorSet(String fname)

    - #### genCsharpGetSet

          public String genCsharpGetSet(int fIdx)

    - #### genCsharpWriteMethodName

          public String genCsharpWriteMethodName()

    - #### genCsharpReadMethodName

          public String genCsharpReadMethodName()

    - #### genCsharpCompareTo

          public String genCsharpCompareTo()

    - #### genCsharpEquals

          public String genCsharpEquals()

    - #### genCsharpHashCode

          public String genCsharpHashCode()

    - #### genJavaGetSet

          public String genJavaGetSet(int fIdx)

    - #### genJavaWriteMethodName

          public String genJavaWriteMethodName()

    - #### genJavaReadMethodName

          public String genJavaReadMethodName()

    - #### genJavaCompareTo

          public String genJavaCompareTo()

    - #### genJavaEquals

          public String genJavaEquals()

    - #### genJavaHashCode

          public String genJavaHashCode()

    - #### genJavaConstructorSet

          public String genJavaConstructorSet(String fname)

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.